OpenTTD Source: Layouter::LineCacheItem Struct Reference

OpenTTD Source 15.0-RC2

Public Types | Data Fields
Layouter::LineCacheItem Struct Reference

Item in the linecache. More...

`#include <gfx_layout.h>`

## Public Types
using | Buffer = std::unique_ptr< void, void(*)(void *)>

## Data Fields
Buffer | buffer {nullptr, [](void *){}}
| Accessed by our ParagraphLayout::nextLine.
FontMap | runs
| Accessed by our ParagraphLayout::nextLine.
FontState | state_after
| Font state after the line.
std::unique_ptr< ParagraphLayouter > | layout = nullptr
| Layout of the line.
std::vector< std::unique_ptr< const ParagraphLayouter::Line > > | cached_layout {}
| Cached results of line layouting.
int | cached_width = 0
| Width used for the cached layout.

## Detailed Description

Item in the linecache.

Definition at line 189 of file gfx_layout.h.

## Member Typedef Documentation

## ◆ Buffer

using Layouter::LineCacheItem::Buffer = std::unique_ptr<void, void(*)(void *)>

Definition at line 191 of file gfx_layout.h.

## Field Documentation

## ◆ buffer

Buffer Layouter::LineCacheItem::buffer {nullptr, [](void *){}}

Accessed by our ParagraphLayout::nextLine.

Definition at line 193 of file gfx_layout.h.

Referenced by GetLayouter().

## ◆ cached_layout

std::vector<std::unique_ptr<const ParagraphLayouter::Line> > Layouter::LineCacheItem::cached_layout {}

Cached results of line layouting.

Definition at line 199 of file gfx_layout.h.

Referenced by Layouter::Layouter().

## ◆ cached_width

int Layouter::LineCacheItem::cached_width = 0

Width used for the cached layout.

Definition at line 200 of file gfx_layout.h.

Referenced by Layouter::Layouter().

## ◆ layout

std::unique_ptr<ParagraphLayouter> Layouter::LineCacheItem::layout = nullptr

Layout of the line.

Definition at line 197 of file gfx_layout.h.

Referenced by GetLayouter(), and Layouter::Layouter().

## ◆ runs

FontMap Layouter::LineCacheItem::runs

Accessed by our ParagraphLayout::nextLine.

Definition at line 194 of file gfx_layout.h.

Referenced by GetLayouter().

## ◆ state_after

FontState Layouter::LineCacheItem::state_after

Font state after the line.

Definition at line 196 of file gfx_layout.h.

Referenced by GetLayouter(), and Layouter::Layouter().

The documentation for this struct was generated from the following file:

- src/gfx_layout.h